| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
Sql
Sql.Sql

# Method Sql.Sql()->handle_extraargs()

Method handle_extraargs

  `array(string|mapping(string|int:mixed)) handle_extraargs(string query, array(mixed) extraargs)`

Description

  Handle sprintf -based quoted arguments

Parameter `query`

  The query as sent to one of the query functions.

Parameter `extraargs`

  The arguments following the query.

Returns

  Returns an array with two elements:

  Array
  `string 0` | The query altered to use bindings-syntax.
  `mapping(string|int:mixed) 1` | A bindings mapping.